diff --git a/.travis.yml b/.travis.yml
index 19f55471a6b..049e057cfbe 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -20,16 +20,13 @@ before_install:
    - sudo add-apt-repository ppa:ubuntu-toolchain-r/test -y
    - sudo add-apt-repository ppa:kalakris/cmake -y
    - sudo apt-get update -qq
-   #- sudo apt-get install -qq gcc-4.8
+   - sudo apt-get install -qq gcc-4.8
    - sudo apt-get install -qq --no-install-recommends build-essential cmake python-lxml graphviz doxygen wget
-   - sudo apt-get install libc6-i386 libc6-dev-i386
    - wget http://security.ubuntu.com/ubuntu/pool/main/c/check/check_0.9.10-6ubuntu3_amd64.deb
    - sudo dpkg -i check_0.9.10-6ubuntu3_amd64.deb
-   - wget http://security.ubuntu.com/ubuntu/pool/main/c/check/check_0.9.10-6ubuntu3_i386.deb
-   - sudo dpkg --foreign-architecture i386 -i check_0.9.10-6ubuntu3_i386.deb
    - sudo pip install cpp-coveralls
-   #- sudo update-alternatives --install /usr/bin/gcc gcc /usr/bin/gcc-4.8 20
-   #- sudo update-alternatives --config gcc
+   - sudo update-alternatives --install /usr/bin/gcc gcc /usr/bin/gcc-4.8 20
+   - sudo update-alternatives --config gcc
 script: 
    - echo "Checking the applicability of patches"
    - ./tools/.checkPorts.sh
@@ -40,16 +37,12 @@ script:
    - cmake -DTYPES_ONLY_NEEDED=ON ..
    - make
    - cd .. && rm build -rf && mkdir -p build && cd build
-   - echo "Debug build and unit tests (32 bit)"
-   - CFLAGS=-m32 CXXFLAGS=-m32 cmake -DCMAKE_BUILD_TYPE=Debug -DENABLE_UNIT_TESTS=ON -DENABLE_COVERAGE=ON ..  
-   - make && make test
-   - cd .. && rm build -rf && mkdir -p build && cd build
    - cmake -DGENERATE_DOCUMENTATION=ON .. 
    - echo "Production build"
    - make
    - echo "Generate documentation"
    - make doc
-   - echo "Debug build and unit tests (64 bit) & coverage testing"
+   - echo "Debug build and unit tests (64 bit)"
    - make clean
    - cmake -DCMAKE_BUILD_TYPE=Debug -DENABLE_UNIT_TESTS=ON -DENABLE_COVERAGE=ON .. 
    - make && make test
diff --git a/src/server/ua_server_binary.c b/src/server/ua_server_binary.c
index c5ce86ccc02..e86dc26d056 100644
--- a/src/server/ua_server_binary.c
+++ b/src/server/ua_server_binary.c
@@ -95,7 +95,7 @@ static void processOpen(UA_Connection *connection, UA_Server *server, const UA_B
     UA_TcpMessageHeader respHeader;
     respHeader.messageType = UA_MESSAGETYPE_OPN;
     respHeader.isFinal     = 'F';
-    respHeader.messageSize = 8;
+    respHeader.messageSize = 8+4;
 
     UA_ExpandedNodeId responseType = UA_EXPANDEDNODEIDS[UA_OPENSECURECHANNELRESPONSE];
     responseType.nodeId.identifier.numeric += UA_ENCODINGOFFSET_BINARY;
diff --git a/tests/check_builtin.c b/tests/check_builtin.c
index cb8edb8c94b..a12d9931c73 100644
--- a/tests/check_builtin.c
+++ b/tests/check_builtin.c
@@ -1140,7 +1140,7 @@ START_TEST(UA_DateTime_toStructShallWorkOnExample) {
 END_TEST
 START_TEST(UA_DateTime_toStringShallWorkOnExample) {
 	// given
-	UA_DateTime src = 13974671891234567;
+	UA_DateTime src = 13974671891234567 + (11644473600 * 10000000); // ua counts since 1601, unix since 1970
 	//1397467189... is Mon, 14 Apr 2014 09:19:49 GMT
 	//...1234567 are the milli-, micro- and nanoseconds
 
